/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pvj4;

/**
 *
 * @author Jelinek
 */
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class MysEvents extends JFrame implements MouseListener, MouseMotionListener {

    String msg = "";
    int mouseX = 0, mouseY = 0; // coordinates of mouse

    public static void main(String[] args) {
        MysEvents mE = new MysEvents();
        mE.addMouseListener(mE);
        mE.addMouseMotionListener(mE);
        mE.setSize(300, 200);
        mE.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        mE.setVisible(true);
    }

    MysEvents() {
        super("Mys");
    }

    public void mouseClicked(MouseEvent me) {
        mouseX = 220;
        mouseY = 10;
        msg = "Mouse clicked.";
        System.out.println(msg);
        repaint();
    }

    public void mouseEntered(MouseEvent me) {
        mouseX = 100;
        mouseY = 100;
        msg = "Mouse entered.";
        System.out.println(msg);
        repaint();
    }

    // Handle mouse exited.
    public void mouseExited(MouseEvent me) {
        mouseX = 100;
        mouseY = 100;
        msg = "Mouse exited.";
        repaint();
    }

    public void mousePressed(MouseEvent me) {
        mouseX = me.getX();
        mouseY = me.getY();
        msg = "Down";
        repaint();
    }

    public void mouseReleased(MouseEvent me) {
        mouseX = me.getX();
        mouseY = me.getY();
        msg = "Up";
        repaint();
    }

    public void mouseDragged(MouseEvent me) {
        mouseX = me.getX();
        mouseY = me.getY();
        msg = "Dragging mouse at " + mouseX + ", " + mouseY;
        //  showStatus("Dragging mouse at " + mouseX + ", " + mouseY);
        repaint();
    }

    public void mouseMoved(MouseEvent me) {
        mouseX = me.getX();
        mouseY = me.getY();
        msg = "Moving mouse at " + mouseX + ", " + mouseY;
        repaint();
// showStatus("Moving mouse at " + me.getX() + ", " + me.getY());
    }

    // Display msg in applet window at current X,Y location.
    public void paint(Graphics g) {
        g.clearRect(0, 0, 300, 200);
        g.drawString(msg, mouseX, mouseY);
    }
}
